import { jsx as n } from "react/jsx-runtime";
import { styled as r } from "../Theme/index.js";
function o({
  children: e = null,
  relative: i = "screen"
}) {
  let t = {};
  return i === "parent" && (t = {
    width: "100%",
    height: "100%"
  }), /* @__PURE__ */ n(l, { style: t, children: e });
}
const l = r("div")`
  flex: 1;
  width: 100vw;
  height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;
`;
export {
  o as default
};
